### Function

# Gimp Parasite new

#### Declaration [src]

    GimpParasite*
    gimp_parasite_new (
      const gchar* name,
      guint32 flags,
      guint32 size,
      gconstpointer data
    )

#### Description [src]

Creates a new parasite and save `data` which may be a proper text (in which case you may want to set `size` as strlen(`data`) + 1) or not.

#### Parameters

`name`

  Type: `const gchar*`

  The new `GimpParasite` name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `guint32`

  See `GIMP_PARASITE_PERSISTENT` and `GIMP_PARASITE_UNDOABLE`; other values are mainly intended for internal use.

`size`

  Type: `guint32`

  The size of `data`, including a terminal `NULL` byte if needed.

`data`

  Type: An array of `char`

  The data to save in a parasite.

  The length of the array is specified in the `size` argument.

#### Return value

Type: `GimpParasite`

A new `GimpParasite`.

The caller of the function takes ownership of the data, and is responsible for freeing it.